# $Id$
# Authority: dries
# Upstream: Ed Summers <ehs$pobox,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name WWW-Wikipedia

Summary: Lookup an entry in the wikipedia
Name: perl-WWW-Wikipedia
Version: 2.04
Release: 2%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WWW-Wikipedia/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org//CPAN/authors/id/B/BR/BRICAS/WWW-Wikipedia-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install)

%description
Lookup an entry in the wikipedia.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/WWW::Wikipedia*
%doc %{_mandir}/man1/wikipedia*
%{_bindir}/wikipedia
%{perl_vendorlib}/WWW/Wikipedia.pm
%{perl_vendorlib}/WWW/Wikipedia/

%changelog
* Fri Sep 14 2018 J. Randall Owens <jrowens@ghiapet.net> - 2.04-2
- add BuildRequires Module::Install

* Sun Jun 26 2016 J. Randall Owens <jrowens@ghiapet.net> - 2.04-1
- update to version 2.04

* Thu Feb 21 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 2.01-1
- Update to version 2.01

* Mon Jul  4 2011 J. Randall Owens <jrowens@ghiapet.net> - 2.00-1
- update to version 2.00

* Thu Jan 04 2007 Dries Verachtert <dries@ulyssis.org> - 1.92-1 - 5044/dries
- Updated to release 1.92.

* Wed Jan 03 2007 Dries Verachtert <dries@ulyssis.org> - 1.91-1
- Initial package.

